Skip to content
Permalink
Browse files

requirements: upgrade pytest to 4.6.3

This allows us to use pytest-subtests [1], which makes it easier to
write tests with assertions for multiple related values without
rewriting them to use dicts or sets.

[1] https://github.com/pytest-dev/pytest-subtests

Signed-off-by: Jan Luebbe <jlu@pengutronix.de>
  • Loading branch information...
jluebbe committed Jun 12, 2019
1 parent 62b12b2 commit 66455bb54fc22e28419b767d6a81ee959de3a137
Showing with 1 addition and 1 deletion.
  1. +1 −1 requirements.txt
@@ -2,7 +2,7 @@ attrs==19.1.0
jinja2==2.10.1
pexpect==4.7
https://github.com/labgrid-project/pyserial/archive/v3.4.0.1.zip#egg=pyserial
pytest==4.0.2
pytest==4.6.3
pyudev==0.21.0
requests==2.22.0
xmodem==0.4.5

0 comments on commit 66455bb

Please sign in to comment.
You can’t perform that action at this time.